package com.goafanti.admin.bo;

public class AdminCustomerDetailBo {
	private String id;
	private String name;
	private Integer source;
	@SuppressWarnings("unused")
	private String sourceName;
	private String contacts;
	private String contactsDep;
	private String contactsPosition;
	private String contactMobile;
	private String createTime;
	private String followTime;

	private Integer province;
	private Integer city;
	private Integer area;
	private String businessScope;
	private String intendedProject;

	public String getContactsDep() {
		return contactsDep;
	}

	public void setContactsDep(String contactsDep) {
		this.contactsDep = contactsDep;
	}

	public String getContactsPosition() {
		return contactsPosition;
	}

	public void setContactsPosition(String contactsPosition) {
		this.contactsPosition = contactsPosition;
	}

	public void setSourceName(String sourceName) {
		this.sourceName = sourceName;
	}

	public Integer getProvince() {
		return province;
	}

	public void setProvince(Integer province) {
		this.province = province;
	}

	public Integer getCity() {
		return city;
	}

	public void setCity(Integer city) {
		this.city = city;
	}

	public Integer getArea() {
		return area;
	}

	public void setArea(Integer area) {
		this.area = area;
	}

	public String getBusinessScope() {
		return businessScope;
	}

	public void setBusinessScope(String businessScope) {
		this.businessScope = businessScope;
	}

	public String getIntendedProject() {
		return intendedProject;
	}

	public void setIntendedProject(String intendedProject) {
		this.intendedProject = intendedProject;
	}

	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getFollowTime() {
		return followTime;
	}
	public void setFollowTime(String followTime) {
		this.followTime = followTime;
	}
	public String getContacts() {
		return contacts;
	}
	public void setContacts(String contacts) {
		this.contacts = contacts;
	}
	public String getContactMobile() {
		return contactMobile;
	}
	public void setContactMobile(String contactMobile) {
		this.contactMobile = contactMobile;
	}
	public Integer getSource() {
		return source;
	}
	public void setSource(Integer source) {
		this.source = source;
	}
	public String getSourceName() {
		//0 注册 1 录入 2 领取 3 转交
		switch (getSource()) {
		case 0:
			return "注册";
		case 1:
			return "录入";
		case 2:
			return "领取";
		case 3:
			return "转交";
		}
		return "未知";
	}
	
	
}
